function [W,T,V]=weteviP(p,q,N,conv_heat,Nh)
%preparation of auxiliary  coefficients to be used in the global and block-wise Tikhonov
%solutions
if nargin<5
    Nh=1;
end
up=juviP(p,N);
u2p=juviP(2*p,N);
n=(0:N-1);
su2p=sqrt(u2p);
si=2*sin(pi*n/N);
W=si.^p.*up./u2p;
W=W';
W=repmat(W,1,Nh);
W=W';

if conv_heat==1
upq=juviP(p+q,N);
uq=juviP(q,N);
T=upq./uq./su2p;
T=T';
else
 
T=1;
end


V=up./su2p;
V=V';
%T=repmat(T,1,Nh);
%V=repmat(V,1,Nh);

